Unusual Whales UnusualWhales API

Net Flow Expiry

GET https://api.unusualwhales.com/api/net-flow/expiry

Request

Security: Bearer Auth Authorization: Bearer <token>

Query Parameters

date Optional Market Date optional

Market date to get data for (defaults to last market day)

Example: 2024-01-18
moneyness array[string] optional

Moneyness filter (defaults to 'all')

enum: all, itm, otm, atm
tide_type array[string] optional

Tide type filter (defaults to 'all')

enum: all, equity_only, etf_only, index_only
expiration array[string] optional

Expiration filter (defaults to ['weekly', 'zero_dte'])

enum: weekly, zero_dte

Responses

200 422 500

Response Body 200 OK

data array[Expiry Tide Group]

Array of net flow data groups

date string

Date of the data

Example: 2023-01-15
expiration array[string]

Expiration filters applied

Example: ["weekly","zero_dte"]
moneyness array[string]

Moneyness filters applied

Example: ["all"]
tide_type array[string]

Tide type filters applied

Example: ["equity_only"]
Try It GET
Query Parameters

Request Sample
curl -X GET "https://api.unusualwhales.com/api/net-flow/expiry" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Accept: application/json"
Response Example 200
{
  "data": [
    {
      "data": null,
      "moneyness": "all",
      "tide_type": "equity_only"
    }
  ],
  "date": "2023-01-15",
  "expiration": [
    "weekly",
    "zero_dte"
  ],
  "moneyness": [
    "all"
  ],
  "tide_type": [
    "equity_only"
  ]
}